Bug 1281936 (CVE-2015-8241) - CVE-2015-8241 libxml2: Buffer overread with XML parser in xmlNextChar
Summary: CVE-2015-8241 libxml2: Buffer overread with XML parser in xmlNextChar
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8241
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151008,reported=2...
Depends On: 1281939 1281937 1281938 1284794 1286495 1286496 1286497 1323035
Blocks: 1274223 1281961 1318206
TreeView+ depends on / blocked
 
Reported: 2015-11-13 20:59 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to leak potentially sensitive information.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:45:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2549 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 15:13:44 UTC
Red Hat Product Errata RHSA-2015:2550 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 16:59:33 UTC
Red Hat Product Errata RHSA-2016:1089 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 security update 2016-05-17 20:12:21 UTC

Description Adam Mariš 2015-11-13 20:59:28 UTC
A buffer overread in xmlNextChar was found, causing segmentation fault when compiled with ASAN.

Upstream bug (contains reproducer):

https://bugzilla.gnome.org/show_bug.cgi?id=756263

Upstream patch:

https://git.gnome.org/browse/libxml2/commit/?id=ab2b9a93ff19cedde7befbf2fcc48c6e352b6cbe

Comment 1 Adam Mariš 2015-11-13 21:00:44 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1281937]

Comment 2 Adam Mariš 2015-11-13 21:00:53 UTC
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1281938]
Affects: epel-7 [bug 1281939]

Comment 3 Adam Mariš 2015-11-19 11:28:48 UTC
Acknowledgments:

Name: the GNOME project
Upstream: Hugh Davenport

Comment 4 Adam Mariš 2015-11-19 12:58:48 UTC
CVE assignment:

http://openwall.com/lists/oss-security/2015/11/18/23

Comment 8 errata-xmlrpc 2015-12-07 10:14:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html

Comment 9 errata-xmlrpc 2015-12-07 12:01:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html

Comment 13 errata-xmlrpc 2016-05-17 16:14:45 UTC
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html


Note You need to log in before you can comment on or make changes to this bug.